<script type="text/javascript">
	$(document).ready(function (e) {
	    $("#add_menu").submit(function(e) {
	        e.preventDefault();
	        var name = $("#name").val();
	        if (name=="") {
	        	swal("{{trans('admin.empty_fields_are_not_allowed')}}","warn");
	        	$("#name").focus();
	        }else{
	        	loading();
		        var form_data = new FormData(this);
		        $.ajax({
		            url: '{{url("/menu/save")}}',
		            type: 'POST',
		            data: form_data,
		            headers: {
			            'X-CSRF-TOKEN': '{{ csrf_token()}}'
			        },
		            contentType: false,
			        processData: false,
			        cache: false,
			        dataType: 'json',

		        })
		        .done(function (res) {
		           swal(res.text,res.cls);
		        })
		        .fail(function () {
		            console.log("error");

		        }).always(function(){
		        	loading("stop");
		        });
	        }
	    });

	    $("#update_menu").submit(function(e) {
	    	e.preventDefault();
            var name = $("#name_en").val();
	        if (name=="") {
	        	swal("{{trans('admin.empty_fields_are_not_allowed')}}","warn");
	        	$("#name_en").focus();
	        }else{
	        	loading();
	            var form_data = new FormData(this);
	            console.log(form_data);
	            $.ajax({
	                url: '{{url("/menu/update")}}',
	                type: 'post',
	                data: form_data,
	                headers: {
			            'X-CSRF-TOKEN': '{{ csrf_token()}}'
			        },
		            contentType: false,
			        processData: false,
			        cache: false,
			        dataType: 'json',

	            })
	            .done(function(res) {
	                swal(res.text,res.cls);
	            })
	            .fail(function() {
	                console.log("error");
	            })
	            .always(function() {
	                loading("stop");
	            });
	        }
        });
	});

	$(document).on('change', '.state_switch', function(event) {
		event.preventDefault();
    	loading();
        var cid = $(this).val();
        $.ajax({
            url: '{{url("/menu/status_change")}}',
            type: 'post',
            dataType:'json',
            data: {_token: '{!! csrf_token() !!}', id: cid}
        })
        .done(function (response) {
        	swal(response.text,response.cls);
        })
        .fail(function () {
            console.log("error");

        }).always(function(){
        	loading("stop");
        });
	});

	$(document).on('click', '.btn-delete', function(event) {
	    event.preventDefault();
	    if(confirm("{{trans('admin.Are_you_sure_to_delete')}}")){
		    loading();
		    let id = $(this).val();
		    $.ajax({
		        url: '{{url("/menu/destroy")}}/'+id,
		        type: 'get',
		        dataType:'json',
		        // data: {_token: '{!! csrf_token() !!}'},
		    })
		    .done(function(response) {
		        swal(response.text,response.cls);
		        $("#"+id).hide(1000);
		    })
		    .fail(function() {
		        console.log("error");
		    })
		    .always(function() {
		        loading("stop");
		    });
		}
	});

	function add_menu(){
	  $("#status_msg").html('');
	 try{
	 	loading();
	   $("#addMenu").modal("show");
	   $.ajax({
	     url: '{{url("/menu/addMenu")}}',
	    //  data:{
	    //    _token: '{!! csrf_token() !!}',
	    //  },
	     type: 'GET',
	     cache:false,
	     success: function(frm){
	       $("#box").html(frm);
	       loading("stop");
        	swal(response.text,response.cls);

	       },
	     error: function(xhr){
	       $("#box").html(xhr.status+' '+xhr.statusText);
	       }
	     });
	   }catch(e){
	     alert(e.message);
	   }
	 };

	 function edit_menu(id){
	   $("#status_update").html('');
	  try{
	  	loading();
	    $("#editMenu").modal("show");
	    $.ajax({
	      url: '{{url("/menu/edit")}}/'+id,
	    //   data:{
	    //     _token: '{!! csrf_token() !!}',
	    //     id:id
	    //   },
	      type: 'GET',
	      cache:false,
	      success: function(frm){
	        $("#box_edit").html(frm);
        	swal(response.text,response.cls);

	        loading("stop");
	        },
	      error: function(xhr){
	        $("#box_edit").html(xhr.status+' '+xhr.statusText);
	        }
	      });
	    }catch(e){
	      alert(e.message);
	    }
	  };
</script>
